Subject: [Megaco] ABNF TerminationId definition

From: Steven Weisz <[email-masked]>
Date: Mon, 15 Oct 2001 16:52:58 -0400

Hi List,

	I've taken a close look at the H.248 document and the latest IG and
I noticed that the ABNF does not allow TerminationIds in the form

[email-masked] 

OR

[email-masked]

If you look closely at the ABNF we have:

; Total length of pathNAME must not exceed 64 chars.
pathNAME             = ["*"] NAME *("/" / "*"/ ALPHA / DIGIT /"_" / "$" ) 
                       ["@" pathDomainName ]

; ABNF allows two or more consecutive "." although it is meaningless 
; in a path domain name. 
pathDomainName       = (ALPHA / DIGIT / "*" ) 
                       *63(ALPHA / DIGIT / "-" / "*" / ".")
                       
TerminationID        = "ROOT" / pathNAME / "$" / "*"

What I'm wondering, are [email-masked] and [email-masked] valid TerminationIds and the
ABNF doesn't cover them or are they not allowed.

Thanks,

Steven

_______________________________________________
Megaco mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/megaco